signature INFERENCE =
  sig
    exception Equiv
    exception Occurs

    type context = IL.dec list
    type tcontext = (IL.label * IL.dec) list

    val new_con : tcontext -> IL.con
    val instantiate : tcontext -> (IL.exp * IL.con) -> (IL.exp * IL.con)
    val generalize : tcontext -> (tcontext -> IL.exp * IL.con)
                              -> IL.exp * IL.con
    val unify : context -> IL.con -> IL.con -> IL.kind -> unit
  end
